<form [formGroup]="dateForm" (ngSubmit)="onSubmit()">
  <div class="modal-body">
    <div class="row">
      <div class="col-sm-4">
        <div class="form-group">
          <label>fecha inicial</label>
          <input
            type="date"
            class="form-control"
            formControlName="initialDate"
            [(ngModel)]="initialDate"
            placeholder="Ingrese la fecha inicial "
            [ngClass]="{
              'efecto-validacion is-invalid': submitted && f.initialDate.errors
            }"
          />
          <div
            *ngIf="submitted && f.initialDate.errors"
            class="invalid-feedback"
          >
            <div *ngIf="f.initialDate.errors.required">
              Fecha inicial es requerida.
            </div>
          </div>
        </div>

        <div class="form-group">
          <label>fecha final</label>
          <input
            type="date"
            class="form-control"
            formControlName="endDate"
            [(ngModel)]="endDate"
            placeholder="Ingrese la fecha final "
            [ngClass]="{
              'efecto-validacion is-invalid': submitted && f.endDate.errors
            }"
          />
          <div *ngIf="submitted && f.endDate.errors" class="invalid-feedback">
            <div *ngIf="f.endDate.errors.required">
              Fecha final es requerida.
            </div>
          </div>
        </div>

        <button type="submit" class="btn bg-primary">Buscar</button>
      </div>
    </div>
  </div>

  <wbr-pivot
    *ngIf="submitted"
    #pivot1
    [toolbar]="true"
    [width]="'100%'"
    [height]="500"
    [report]="pivotReport"
    [customizeCell]="onCustomizeCell"
    (ready)="onPivotReady($event)"
    (reportcomplete)="onReportComplete($event)"
  >
  </wbr-pivot>

  <div
    id="googlechart-container"
    style="height:500px; width:500px;padding-top:20px;"
  ></div>
</form>
